summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-10-10 21:19:48 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-10-12 23:13:14 +0200
commita7030fcd38880ac327f749bb528f65a0a4ee7ae7 (patch)
tree08ecff369172b6779cc7b6295ff2f1a069b73859 /kde-frameworks/kdelibs4support
parentapp-office/kraft: Accept kde-frameworks/kcontacts (diff)
downloadgentoo-a7030fcd38880ac327f749bb528f65a0a4ee7ae7.tar.gz
gentoo-a7030fcd38880ac327f749bb528f65a0a4ee7ae7.tar.bz2
gentoo-a7030fcd38880ac327f749bb528f65a0a4ee7ae7.zip
kde-frameworks: Add KDE Frameworks 5.63.0
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kdelibs4support')
-rw-r--r--kde-frameworks/kdelibs4support/Manifest1
-rw-r--r--kde-frameworks/kdelibs4support/kdelibs4support-5.63.0.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/kde-frameworks/kdelibs4support/Manifest b/kde-frameworks/kdelibs4support/Manifest
index 94ec50c3b4a..ed7726cb81d 100644
--- a/kde-frameworks/kdelibs4support/Manifest
+++ b/kde-frameworks/kdelibs4support/Manifest
@@ -1,2 +1,3 @@
DIST kdelibs4support-5.60.0.tar.xz 3506364 BLAKE2B 6ab53cb0940ed01c2d286afa7a13f01e3f143a5ea56a7159e23486ca3eb522aa3043965e431c6a0cdd0708fe1e3f608c812c6cd5b05e23f5e19627a44c9578b1 SHA512 99d3735a1c61b72fb7c3d080acfad565e22da005710285eba97b13e758a5a7be9ab59a30759035e8627ea3f459d386e7016283ad8b83e36e670b57a3c6d3006b
DIST kdelibs4support-5.62.0.tar.xz 3508220 BLAKE2B e7595b75f66350c0aec9fc10815aead80c1336bb4ffd6b9fbdb11fde13726a1e0bbf1bbfc2689326c141d9a2c400fb1ac060ffc5f4532550359cd5a7c9e80446 SHA512 1993cafa72ff3856d7df8e3703532cff976d8087b1700f973720e3e7dbec9d0c8f7a0f52fdc021a0ec2d868860f2176437c3acf732b97b0d6092f09808df8674
+DIST kdelibs4support-5.63.0.tar.xz 3514372 BLAKE2B 7636cbfd6246093cbff8acf9a7e3ab1b2278b2feac4194eb222791bb0f10ea340bd5bc2b80779cc8f9620d7110d1e7d6d327f2fa29b4e0405b55e6d5b729a06b SHA512 7885f0e988e1890ef25faabad4e9637ea49429a3cf36b1d3b2861f7482a0b7f1fe54eebb0f7d4e6342137493af887f9aa8c8c62f7288f0278a4314fabcb7392f
diff --git a/kde-frameworks/kdelibs4support/kdelibs4support-5.63.0.ebuild b/kde-frameworks/kdelibs4support/kdelibs4support-5.63.0.ebuild
new file mode 100644
index 00000000000..642a724d902
--- /dev/null
+++ b/kde-frameworks/kdelibs4support/kdelibs4support-5.63.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_HANDBOOK="true"
+KDE_QTHELP="false"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Framework easing the development transition from KDELibs 4 to KF 5"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="libressl X"
+
+BDEPEND="
+ dev-lang/perl
+ dev-perl/URI
+"
+COMMON_DEPEND="
+ $(add_frameworks_dep kauth)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kded)
+ $(add_frameworks_dep kdesignerplugin)
+ $(add_frameworks_dep kdoctools)
+ $(add_frameworks_dep kemoticons)
+ $(add_frameworks_dep kglobalaccel)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep kjobwidgets)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kunitconversion)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_frameworks_dep solid)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork 'ssl')
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtsvg)
+ $(add_qt_dep qttest)
+ $(add_qt_dep qtwidgets)
+ app-text/docbook-xml-dtd:4.2
+ virtual/libintl
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ X? (
+ $(add_qt_dep qtx11extras)
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ $(add_qt_dep designer)
+ test? ( $(add_qt_dep qtconcurrent) )
+ X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_frameworks_dep kinit)
+ $(add_frameworks_dep kitemmodels)
+ $(add_qt_dep qtxml)
+"
+
+RESTRICT+=" test"
+
+src_prepare() {
+ kde5_src_prepare
+ if ! use handbook; then
+ sed -e "/kdoctools_install/ s/^/#DONT/" -i CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package X X11)
+ )
+
+ kde5_src_configure
+}